JomSocial и плагин Zend Framework

  • 34 Ответов
  • 17557 Просмотров

0 Пользователей и 1 Гость просматривают эту тему.

JomSocial и плагин Zend Framework
« : 02.07.2010, 00:47:37 »
Установил JomSocial + плагины всё работало отлично. Перенёс на хостинг выдаёт ошибку  CC Zend PLUGIN PACK MISSING и CC Zend PLUGIN PACK MISSING INSTRUCTION
что делать не знаю, в чём проблема может кто знает?

*

Solven

  • ***
  • 81
  • 3
Re: Помогите плагины zend
« Ответ #1 : 02.07.2010, 02:23:50 »
После переноса почему то портиться плагин Zendа.
Нужно скачать пак из 7 установок, установить, далее в плагинах его включить...
Только что второй раз натыкаюсь на такое...

Re: Помогите плагины zend
« Ответ #2 : 02.07.2010, 02:40:50 »
После переноса почему то портиться плагин Zendа.
Нужно скачать пак из 7 установок, установить, далее в плагинах его включить...
Только что второй раз натыкаюсь на такое...

Благодарю за помощь! Устанавливал 10 плагинов оказались не те теперь установил 7 с официального сайта и всё заработало.

*

socker

  • *
  • 6
  • 0
JomSocial 1.8 + Zend Framework
« Ответ #3 : 08.07.2010, 13:50:34 »
Привет всем!

Подскажите для каких целей в данном компоненте используется Zend Framework?
И для чего нужен плагин plg_zend?

Возможно он используется для написания различных расширений, но я не уверен в этом.
Большая просьба кто в курсе или знает что по поводу данной темы поделитесь знаниями.

*

Romeo

  • ***
  • 45
  • 3
Re: JomSocial 1.8 + Zend Framework
« Ответ #4 : 10.07.2010, 11:07:22 »
Привет всем!

Подскажите для каких целей в данном компоненте используется Zend Framework?
И для чего нужен плагин plg_zend?

Возможно он используется для написания различных расширений, но я не уверен в этом.
Большая просьба кто в курсе или знает что по поводу данной темы поделитесь знаниями.
гугл и вики знают все))
http://ru.wikipedia.org/wiki/Zend_Framework

*

socker

  • *
  • 6
  • 0
Re: JomSocial 1.8 + Zend Framework
« Ответ #5 : 10.07.2010, 13:00:42 »
Что такое Zend Framework я знаю, вопрос в том что его возможности не используются в самом компоненте, хотя его обязательно необходимо ставить?

Re: Помогите плагины zend
« Ответ #6 : 11.07.2010, 05:27:40 »
А как найти у них на сайте именно эти 7 плагинов? Что-то не нашёл ничего насчёт Joomla.

Re: Помогите плагины zend
« Ответ #7 : 11.07.2010, 23:40:59 »
А как найти у них на сайте именно эти 7 плагинов? Что-то не нашёл ничего насчёт Joomla.

Давай скину тебе ссылки на плагины?

Re: Помогите плагины zend
« Ответ #8 : 12.07.2010, 00:50:29 »
Ну скинь, конечно, в чём проблемы? а что здесь нельзя показать?


Re: Помогите плагины zend
« Ответ #10 : 10.08.2010, 16:52:20 »
Пытаюсь установить эти плагины, но Joomla мне говорит "Невозможно подключиться к серверу, failed to open stream: no suitable wrapper could be found Некорректный URL"
Устанавливать пытался и скачав файлы к себе и напрямую с удаленного сервера.
Как быть?

Re: Помогите плагины zend
« Ответ #11 : 18.09.2010, 20:36:11 »
Пожалуйста подскажите как устанавливать эти плагины?  Всё спасибо разобрался!
« Последнее редактирование: 19.09.2010, 01:21:26 от kuzik »

*

haker777

  • **
  • 17
  • 0
Re: Помогите плагины zend
« Ответ #12 : 27.09.2010, 13:34:26 »
и все таки как их устанавливать... уже пробовал и вручную и автоматом.
выдает:

        * Не удалось соединиться с удаленным сервером, failed to open stream: php_network_getaddresses: getaddrinfo failed: ���� ���� ����������.
        * Неправильный URL


*

kharol

  • *****
  • 1723
  • 217
Re: Помогите плагины zend
« Ответ #13 : 27.09.2010, 13:42:41 »
Плагины для ручной установки возьмите отсюда
Что прячется за символами ���� ���� ����������.? Что с кодировкой? В какой строке ошибка?
Чтобы сказать "спасибо" достаточно нажать на "+"
Чтобы сделать бухгалтерскую проводку "спасибо" реквизиты: R192102130372, ЯД:41001768818003

*

haker777

  • **
  • 17
  • 0
Re: JomSocial 1.8 + Zend Framework
« Ответ #14 : 30.09.2010, 13:56:34 »
У меня тоже проблема с этим плагином... не могу установить. а без него выъодит ошибка "Неверный JomSocial Zend Plugin Pack 2." первый ПАК вроде как то поставился... а со второго по 7 не хочет... уже и инет подключил чтобы он оттуда подтянул но все равно не устанавливается. в че м может быть проблема? может есть какие то другие паки которые не требуют выхода в интернет?

*

tench

  • ***
  • 60
  • 1
  • Путник
Re: Помогите плагины zend
« Ответ #15 : 04.11.2010, 19:32:13 »
Пожалуйста подскажите как устанавливать эти плагины?  Всё спасибо разобрался!
Подскажите как разобрались

*

kharol

  • *****
  • 1723
  • 217
Re: Помогите плагины zend
« Ответ #16 : 04.11.2010, 19:35:56 »
Возьмите отсюда, и установите один за другим.
Чтобы сказать "спасибо" достаточно нажать на "+"
Чтобы сделать бухгалтерскую проводку "спасибо" реквизиты: R192102130372, ЯД:41001768818003

Всем доброго времени суток!
Подскажите как решить следующую проблему:
создаю сайт на локальном сервере, использую пакет "Денвер + старый PHP 5.2 + Zend Optimizer" устанавливаю com_community_pro_2.0.3.zip
система сообщает об успешной установке.
на сайте в главном меню появляется пункт меню JomSocial жму его и вылазит следующая ошибка:
Неверный JomSocial Zend Plugin Pack 1.
Ваш инсталяционный Zend plugin, по-видимому имеет ошибочный номер пакета 1. Вам нужно будет установить недостающий пакет для того, чтобы компонент JomSocial работал без ошибок. Этот плагин можно скачать здесь www.jomsocial.com

где искать ошибку, не знаю. во время установки скачиваются из инета и успешно устанавливаются все десять паков Zend'а.

Как исправить эту ошибку?
p.s.: Ссылку на сайт удалю после исправления ошибки (сказано - сделано)
« Последнее редактирование: 28.12.2010, 01:45:36 от systema-91 »

*

Wassup

  • ***
  • 66
  • 2
Всем доброго времени суток!
Подскажите как решить следующую проблему:
создаю сайт на локальном сервере, использую пакет "Денвер + старый PHP 5.2 + Zend Optimizer" устанавливаю com_community_pro_2.0.3.zip
система сообщает об успешной установке.
на сайте в главном меню появляется пункт меню JomSocial жму его и вылазит следующая ошибка:
Неверный JomSocial Zend Plugin Pack 1.
Ваш инсталяционный Zend plugin, по-видимому имеет ошибочный номер пакета 1. Вам нужно будет установить недостающий пакет для того, чтобы компонент JomSocial работал без ошибок. Этот плагин можно скачать здесь www.jomsocial.com

где искать ошибку, не знаю. во время установки скачиваются из инета и успешно устанавливаются все десять паков Zend'а.

Например - http://osip.by/index.php?option=com_community&view=search&task=browse&sort=latest&Itemid=38

Как исправить эту ошибку?
p.s.: Ссылку на сайт удалю после исправления ошибки
Я скачал плагины поодиночке и установил все 10 штук, так как при установке вместе с JomSoсial выдавала ошибку
http://zend4joomla.googlecode.com/files/plg_zend_1.11.0a_pack_1.zip
На ссылках просто меняй последнюю цифру там всего 10 пакетов, устанавливай по одному...

« Последнее редактирование: 28.12.2010, 01:29:03 от systema-91 »

*

Wassup

  • ***
  • 66
  • 2
теперь http://zend4joomla.googlecode.com/files/plg_zend_1.11.0a_pack_2.zip
и так 10 штук, в ссылке надо менять последнею цифру))

*

etoja

  • *
  • 3
  • 0
Re: JomSocial и плагин Zend Framework
« Ответ #21 : 02.02.2011, 18:08:49 »
все кроме 3го устанавливаются, при установке 3го выдает ошибку :

JFolder::files: Путь не указывает на правильную папку или папка была удалена
JFolder::folder: Путь не указывает на правильную папку или папка была удалена
JFolder::files: Путь не указывает на правильную папку или папка была удалена
Ошибка! Не найден XML-файл установки Joomla!

в чем может быть дело ?
Joomla 1.5 ru
Jomsocial 2.0.2

*

kharol

  • *****
  • 1723
  • 217
Re: JomSocial и плагин Zend Framework
« Ответ #22 : 02.02.2011, 18:35:43 »
Зачем нужно устанавливать 2.0.2?
Чтобы сказать "спасибо" достаточно нажать на "+"
Чтобы сделать бухгалтерскую проводку "спасибо" реквизиты: R192102130372, ЯД:41001768818003

*

etoja

  • *
  • 3
  • 0
Re: JomSocial и плагин Zend Framework
« Ответ #23 : 02.02.2011, 18:41:13 »
я пробовал и на 1.8 - все тоже самое =(
перечитал все ваши темы - но ничего не помогло пока
при всех возможных вариациях именно 3 пакет Zendа не устанавливается и выдает ошибку приведенную выше

забыл уточнить что при установке не русифицированной версии JomSocial такого не происходит 
« Последнее редактирование: 02.02.2011, 19:00:30 от etoja »

*

kharol

  • *****
  • 1723
  • 217
Re: JomSocial и плагин Zend Framework
« Ответ #24 : 02.02.2011, 20:13:23 »
Вообще то русификация не затрагивает Zend.
Я не понимаю, зачем Вам устанавливать версию 2.0.2 полную ошибок, вместо того чтобы установить 2.0.4
Попробуйте следующее:
Возьмите скопируйте папку:
plugins/system/Zend
и 2 файла
plugins/system/zend.php
plugins/system/zend.xml
из установленной нерусифицированной версии.
Удалите компонент, удалите плагины:
Azrul System Mambot
System - JomSocial Update
System - Zend Lib

Скопируйте сохраненные файлы и папку на свое место.
Установите компонент снова.
Чтобы сказать "спасибо" достаточно нажать на "+"
Чтобы сделать бухгалтерскую проводку "спасибо" реквизиты: R192102130372, ЯД:41001768818003

*

etoja

  • *
  • 3
  • 0
Re: JomSocial и плагин Zend Framework
« Ответ #25 : 03.02.2011, 16:00:03 »
спасибо за развернутый ответ
мне вчера помогла загрузка пакетов от сюда http://code.google.com/p/zend4joomla/downloads/list
при чем самое смешное что после установки 3го пака - Joomla начала ругаться что беда с 6тым
после чего я перепробовал все пакеты из списка и какой-то из них утановилься =)
пока все ок
еще вопрос при сносе кампонента и установки новой версии -пользователи и группы теряються ?

*

kharol

  • *****
  • 1723
  • 217
Re: JomSocial и плагин Zend Framework
« Ответ #26 : 03.02.2011, 16:04:48 »
еще вопрос при сносе кампонента и установки новой версии -пользователи и группы теряються ?
Нет
Чтобы сказать "спасибо" достаточно нажать на "+"
Чтобы сделать бухгалтерскую проводку "спасибо" реквизиты: R192102130372, ЯД:41001768818003

Добрый день, коллеги,

Возникла проблема при установки JomSocial на пункте 9 : Installing Plugins

Fatal error: Call to a member function data() on a non-object in /var/www/******/data/www/*****.ru/administrator/components/com_community/installer.helper.php on line 987

Так же при логине в админку пишет: COM_COMMUNITY_ZEND_PLUGIN_DISABLED
Хотя я зашёл в Плагины и включил его , всёравно ошибка осталась. С влюченым Zend и выключеным всёравно пункт 9 не проходит.

Версия Joomla: 1.6.3

Версия JomSocial 2.2

PHP Version 5.2.6-1+lenny9

Подскажите куда глядеть? что не так.
заранее благодарен  *DRINK*

 

сейчас удалил Zend и перезапустил установку.

Доходя до установки Zend третий пак выдаёт вот это:

Цитировать
JFolder: :files: Path is not a folder. Path: /var/www/*****/data/www//*****/.ru/tmp/install_4e05c201acdf6
JFolder: :folder: Path is not a folder. Path: /var/www//*****//data/www//*****/.ru/tmp/install_4e05c201acdf6
JFolder: :files: Path is not a folder. Path: /var/www//*****//data/www//*****/.ru/tmp/install_4e05c201acdf6
JInstaller: :Install: Cannot find Joomla XML setup file
Install path does not exist
И чуть ниже ещё куча ошибок:

Цитировать
Warning: array_merge() [function.array-merge]: Argument #1 is not an array in /var/www/*****/data/www/*****.ru/libraries/joomla/installer/helper.php on line 144

Warning: array_merge() [function.array-merge]: Argument #2 is not an array in /var/www/*****/data/www/*****.ru/libraries/joomla/installer/helper.php on line 144

Warning: Invalid argument supplied for foreach() in /var/www/*****/data/www/*****.ru/libraries/joomla/installer/helper.php on line 191

Хотя ниже пишет что всё успешно скачано и установлено

Цитировать
Installing Zend Framework
Please wait. The process may takes several minutes.
Installing from http://zend4joomla.googlecode.com/files/plg_zend_1.11.4_pack_3.zip
.....
Выполнено

И уже потом переходит на страницу
Цитировать
Fatal error: Call to a member function data() on a non-object in /var/www/******/data/www/*****.ru/administrator/components/com_community/installer.helper.php on line 987

Всё проблема решена, оказалось паки 3 и 6 повреждены на офф сайте.
Нарыл исправленые паки.

plg_zend_1.11.4_pack_3
plg_zend_1.11.4_pack_6